[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'LazRegions' (#lcl)

# TLazRegionPolygon.IsPointInPart

Indicates if a point with the specified coordinates is within the vertices for the polygonal region.

## Declaration

Source position: lazregions.pas line 43

`public function TLazRegionPolygon.IsPointInPart(`
`AX: Integer;`
`AY: Integer`
`):Boolean; override;`

## Arguments

`AX` |  | Horizontal coordinate for the point.
`AY` |  | Vertical coordinate for the point.

## Function result

True when the point occurs inside the vertices for the polygonal region.

## Description

IsPointInPart is an overridden Boolean function which indicates if a point with the specified coordinates is within the vertices for the polygonal region.

IsPointInPart calls the IsPointInPolygon routine to get the return value for the method. The return value is True when the point in AX and AY is located inside the polygon vertices defined in the Points member.

## See also

IsPointInPolygon |  | Determines if the specified point is inside the vertices for the specified polygon.
TLazRegionPolygon.Points |  | Array of TPoint values that define the vertices for the polygonal region.